<!doctype html>
<html lang="en">
  
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Tor Project Icons</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="bootstrap.css">

    <style>

        body {
            font-family: sans-serif;
            margin: 0;
            padding: 10px 20px;
            text-align: center;
        }

        .preview {
            width: 100px;
            display: inline-block;
            margin: 10px;
        }

        .preview .inner {
            display: inline-block;
            width: 100%;
            text-align: center;
            background: #f5f5f5;
            -webkit-border-radius: 3px 3px 0 0;
            -moz-border-radius: 3px 3px 0 0;
            border-radius: 3px 3px 0 0;
        }

        .preview .inner {{ baseTag }} {
            line-height: 85px;
            font-size: 40px;
            color: #333;
        }

        .label {
            display: inline-block;
            width: 100%;
            box-sizing: border-box;
            padding: 5px;
            font-size: 10px;
            font-family: Monaco, monospace;
            color: #666;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            background: #ddd;
            -webkit-border-radius: 0 0 3px 3px;
            -moz-border-radius: 0 0 3px 3px;
            border-radius: 0 0 3px 3px;
            color: #666;
        }

        {{{ styles }}}

    </style>
  </head>

  <body>

    <header>
      <!-- Fixed navbar -->
      <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="#">Tor Project Icons</a>
      </nav>
    </header>

    <!-- Begin page content -->
    <main role="main" class="container">
      <div class="jumbotron">
        <div class="container">
          <h1 class="display-3">Icons for Tor!</h1>
	  <p>These are icons that can be used in Tor Project websites,
	     applications and documentation to provide consistent iconography
             across the project.</p>
          <p><a class="btn btn-primary btn-lg" href="tor-icons.zip" role="button">Download &raquo;</a>
          <a class="btn btn-secondary btn-lg" href="https://gitweb.torproject.org/user/irl/tor-icons.git" role="button">View source &raquo;</a></p>
        </div>
      </div>

    {{# each names }}

        <div class="preview">
            <span class="inner">
                <i class="ti {{ ../classPrefix }}{{ this }}"></i>
            </span>
            <br>
            <span class='label'>{{ this }}</span>
        </div>

    {{/ each }}

</body>
</html>
